import { Subject } from 'rxjs';
import { Notification } from '../others/notification-helper';
/** Notification Service, recieves notifications from user and interacts with components */
export declare class NgxNotifierService {
    /** notification which can be subscribed on new messages */
    notification: Subject<Notification>;
    /** clear all toast notifications */
    clearToasts: Subject<any>;
    /** clear last toast notification */
    clearLastToast: Subject<any>;
    /** pushes a new notification */
    createToast(message: string, style?: string, duration?: number): void;
    /** clear all toast notifications */
    clear(): void;
    /** clear last toast notification */
    clearLast(): void;
}
